var system=require("../../system")
const http=require("http")
const querystring = require('querystring');
var settings=require("../../../config/settings");
const CtlBase = require("../ctl.base");
const logCtl=system.getObject("web.oplogCtl");
class UsereaccountCtl extends CtlBase{
   constructor(){
     super(CtlBase.getServiceName(UsereaccountCtl));
   }
   
   //解析Excel中，批量导入签约人员信息
   async parseItems(queryobj, qobj, req) {
    try {
      var rs = await this.service.parseItems(req.session.user.id, qobj.url);
      if(rs.code == 0) {
        return system.getErrResult2(rs.msg || "文件解析失败");
      }

      return system.getResult2(rs);
    } catch (e) {
      console.log(e);
      return system.getErrResult2("您的网络不稳, 请稍后重试");
    }
  }
}
module.exports=UsereaccountCtl;
